'Installationsprogramm zum XcelPack1 von code-is-poetry
'(c) 2016 Peter Killert. www.code-is-poetry.de
'Aktuelle Version von XcelPack1: 1.10
'Zuletzt aktualisiert am 27.08.2016

Option Explicit

On Error resume Next

dim fso
dim objShell
dim AddInDirectory
dim CurrentDirectory
dim ergebnis

dim SourcePath1
dim SourcePath2
dim SourcePath3
dim SourcePath4
dim SourcePath5

dim TargetPath1
dim TargetPath2
dim TargetPath3
dim TargetPath4
dim TargetPath5


ergebnis = msgbox("Diese Software basiert auf Daten der Europischen Zentralbank. Auf die Bereitsstellung der Daten und ihre Richtigkeit hat code-is-poetry keinen Einfluss." & vbcrlf & vbcrlf & "Bitte beachten Sie daher, dass code-is-poetry.de und der Entwickler dieser Software keinerlei Gewhr fr die Richtigkeit, Vollstndigkeit und korrekte Verarbeitung der Wechselkurse bernimmt. Mit der Installation und der Nutzung dieser Software erklrt sich der Nutzer damit einverstanden, diese Software auf eigene Gefahr zu nutzen. Eine Gewhrleistung durch den Entwickler ist ausgeschlossen." & vbcrlf & vbcrlf & "Wollen Sie XcelPack1 jetzt installieren?", vbYesNo, "Installation von XcelPack1")

if ergebnis = vbYes then

	Set objShell = CreateObject("WScript.Shell")
	set fso = CreateObject("Scripting.FileSystemObject")
	AddInDirectory=objShell.ExpandEnvironmentStrings("%APPDATA%")

	CurrentDirectory = fso.GetAbsolutePathName(".")

	'Build SourceFiles
	SourcePath1=fso.buildpath(CurrentDirectory, "XcelPack1.dll")
	SourcePath2=fso.buildpath(CurrentDirectory, "XcelPack1.dll.config")
	SourcePath3=fso.buildpath(CurrentDirectory, "XcelPack1.xml")
	SourcePath4=fso.buildpath(CurrentDirectory, "XcelPack1-Addin.dna")
	SourcePath5=fso.buildpath(CurrentDirectory, "XcelPack1-Addin-packed.xll")


	'Build TargetFiles
	TargetPath1=AddInDirectory & "\Microsoft\AddIns\XcelPack1.dll"
	TargetPath2=AddInDirectory & "\Microsoft\AddIns\XcelPack1.dll.config"
	TargetPath3=AddInDirectory & "\Microsoft\AddIns\XcelPack1.xml"
	TargetPath4=AddInDirectory & "\Microsoft\AddIns\XcelPack1-Addin.dna"
	TargetPath5=AddInDirectory & "\Microsoft\AddIns\XcelPack1-Addin-packed.xll"

	'Delete Files if they already exists
	if fso.fileexists(TargetPath1) then
	    fso.deletefile(TargetPath1)
	end if

	if fso.fileexists(TargetPath2) then
	    fso.deletefile(TargetPath2)
	end if

	if fso.fileexists(TargetPath3) then
	    fso.deletefile(TargetPath3)
	end if

	if fso.fileexists(TargetPath4) then
	    fso.deletefile(TargetPath4)
	end if

	if fso.fileexists(TargetPath5) then
	    fso.deletefile(TargetPath5)
	end if

	'Copy the Files to the AddIn Directory
	fso.CopyFile SourcePath1, TargetPath1
	fso.CopyFile SourcePath2, TargetPath2
	fso.CopyFile SourcePath3, TargetPath3
	fso.CopyFile SourcePath4, TargetPath4
	fso.CopyFile SourcePath5, TargetPath5


	'Activate the Plugin in Excel
	dim xlObj
	dim iLoop
	Set xlObj = CreateObject("Excel.application")
	for iLoop = 1 to xlObj.application.addins.count
	    if ucase(xlObj.application.addins.item(iLoop).name) = "XCELPACK1-ADDIN-PACKED.XLL" then xlObj.application.addins.item(iLoop).installed = true
	next
	
	xlObj.Quit
	Set xlObj = Nothing

	
Else
	msgbox "Die Installation von XcelPack1 wurde abgebrochen.", vbinformation, "Installation abgebrochen."
End if

if err.number <> 0 then
	msgbox "Das Installationsprogramm hat einen Fehler entdeckt." & vbcrlf & vbcrLf & "Fehlernummer: " & err.number & vbcrlf & vbcrlf & "Fehlerbeschreibung: " & vbcrlf & vbcrlf & "Mgliche Lsung: Haben Sie das ZIP Archiv komplett entpackt? - Dieser Fehler kann auftreten, wenn Sie das Setup-Programm aus dem ZIP Archiv heraus starten. Klicken Sie mit der rechten Maustaste auf die ZIP Datei und entpacken Sie diese vollstndig. Rufen Sie anschliessend dieses Script erneut auf.", vbinformation, "Mglicher Fehler bei der Installation"
Else
	msgbox "XcelPack1 von code-is-poetry.de erfolgreich installiert (Version 1.10).", vbinformation, "Installation abgeschlossen."
end if