Option explicit

dim fso
dim objShell
dim AddInDirectory

dim TargetPath1
dim TargetPath2
dim TargetPath3
dim TargetPath4
dim TargetPath5

'Excel must be closed
msgbox "Damit XcelPack1 de-installiert werden kann, mssen alle geffneten Excel-Instanzen geschlossen sein.", vbinformation, "Deinstallation von XcelPack1"

'Deactivate Plugin
dim xlObj
dim iLoop
Set xlObj = CreateObject("Excel.application")
for iLoop = 1 to xlObj.application.addins.count
    if ucase(xlObj.application.addins.item(iLoop).name) = "XCELPACK1-ADDIN-PACKED.XLL" then xlObj.application.addins.item(iLoop).installed = false
next
xlObj.Quit
Set xlObj = Nothing

Set objShell = CreateObject("WScript.Shell")
set fso = CreateObject("Scripting.FileSystemObject")
AddInDirectory=objShell.ExpandEnvironmentStrings("%APPDATA%")

'Build TargetFiles
TargetPath1=AddInDirectory & "\Microsoft\AddIns\XcelPack1.dll"
TargetPath2=AddInDirectory & "\Microsoft\AddIns\XcelPack1.dll.config"
TargetPath3=AddInDirectory & "\Microsoft\AddIns\XcelPack1.xml"
TargetPath4=AddInDirectory & "\Microsoft\AddIns\XcelPack1-Addin.dna"
TargetPath5=AddInDirectory & "\Microsoft\AddIns\XcelPack1-Addin-packed.xll"

'Delete Files if they already exists
if fso.fileexists(TargetPath1) then
    fso.deletefile(TargetPath1)
end if

if fso.fileexists(TargetPath2) then
    fso.deletefile(TargetPath2)
end if

if fso.fileexists(TargetPath3) then
    fso.deletefile(TargetPath3)
end if

if fso.fileexists(TargetPath4) then
    fso.deletefile(TargetPath4)
end if

if fso.fileexists(TargetPath5) then
    fso.deletefile(TargetPath5)
end if

msgbox "XcelPack1 von code-is-poetry.de wurde erfolgreich deinstalliert." & vbcrlf & vbcrlf &  "Herzlichen Dank fr Ihr Interesse! Bitte senden Sie uns ein kurzes Feedback zu Ihren Erfahrungen mit XcelPack1 an support@code-is-poetry.de", vbinformation, "Deinstallation abgeschlossen."